Package uk.ac.starlink.util

# Class IconUtils

java.lang.Object
uk.ac.starlink.util.IconUtils

public class IconUtils extends Object
Utility functions related to Icons.

Since:
  6 Mar 2013
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`static Icon`
`colorIcon(Icon icon, Color color)`
Modifies an existing icon by changing its colour.
`static BufferedImage`
`createImage(Icon icon)`
Returns an image got by drawing an Icon.
`static Icon`
`createTextIcon(String line, Graphics g)`
Returns an icon that paints a line of text.
`static Icon`
`emptyIcon(int width, int height)`
Returns an icon with a given size and no content.
`static ImageIcon`
`toImageIcon(Icon icon)`
Returns an ImageIcon based on a given Icon object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### emptyIcon

public static Icon emptyIcon(int width, int height)
Returns an icon with a given size and no content.

Parameters:
  `width` - icon width
  `height` - icon height

### colorIcon

public static Icon colorIcon(Icon icon, Color color)
Modifies an existing icon by changing its colour. The colour attribute of the graphics context is changed before the icon is painted.

Parameters:
  `icon` - input icon
  `color` - colour to use as default for painting
Returns:
  output icon

### toImageIcon

public static ImageIcon toImageIcon(Icon icon)
Returns an ImageIcon based on a given Icon object. If the supplied `icon` is already an ImageIcon, it is returned. Otherwise, it is painted to an Image and an ImageIcon is constructed from that. The reason this is useful is that some Swing components will only grey out disabled icons if they are ImageIcon subclasses (which is naughty).

Parameters:
  `icon` - input icon
Returns:
  image icon

### createTextIcon

public static Icon createTextIcon(String line, Graphics g)
Returns an icon that paints a line of text.

Parameters:
  `line` - text string
  `g` - graphics context
Returns:
  icon

### createImage

public static BufferedImage createImage(Icon icon)
Returns an image got by drawing an Icon.

Parameters:
  `icon` - icon
Returns:
  image